> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List Available Templates



## OpenAPI

````yaml /openapi.json get /api/v1/workflows/available-templates
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/workflows/available-templates:
    get:
      tags:
        - Workflows
      summary: List Available Templates
      operationId: list_available_templates_api_v1_workflows_available_templates_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/WorkflowTemplateListItem'
                type: array
                title: >-
                  Response List Available Templates Api V1 Workflows Available
                  Templates Get
components:
  schemas:
    WorkflowTemplateListItem:
      properties:
        slug:
          type: string
          title: Slug
        title:
          type: string
          title: Title
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        template_category:
          anyOf:
            - type: string
            - type: 'null'
          title: Template Category
        node_count:
          type: integer
          title: Node Count
          default: 0
      type: object
      required:
        - slug
        - title
      title: WorkflowTemplateListItem

````